petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatComputeOperatorTranspose

Computes the explicit matrix representation of a give matrix that can apply MatMultTranspose()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatComputeOperatorTranspose(Mat inmat,MatType mattype,Mat *mat)

Collective on Mat

### Input Parameter

inmat -the matrix

### Output Parameter

mat -the explict operator transposed

### Notes

This computation is done by applying the transpose of the operator to columns of the identity matrix. This routine is costly in general, and is recommended for use only with relatively small systems. Currently, this routine uses a dense matrix format if mattype == NULL.

### Level

advanced

### Location

src/mat/utils/axpy.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages